bws = libs.bwsops.BwSops("secrets.json")
uberspaceify = libs.uberspace.Uberspaceify()

nodes = uberspaceify.nodes({
    "clerie.uber.space": {
        "bundles": (
            "uberspace-redirect-clerie",
            "uberspace-clerie-backup",
            "uberspace-crontab-dir",
        ),
        "metadata": {
            "clerie-backup": {
                "repos": {
                    "main-cyan": {
                        "repo_password": bws.get("clerie.uber.space/clerie-backup/main-cyan/repo_password"),
                        "repo_url": "https://cyan.backup.clerie.de/clerie.uber.space/main",
                        "auth_username": "clerie.uber.space",
                        "auth_password": bws.get("clerie.uber.space/clerie-backup/main-cyan/auth_password"),
                        "files": [
                            "/home/clerie",
                            "/var/www/virtual/clerie",
                        ],
                    },
                    "main-magenta": {
                        "repo_password": bws.get("clerie.uber.space/clerie-backup/main-magenta/repo_password"),
                        "repo_url": "https://magenta.backup.clerie.de/clerie.uber.space/main",
                        "auth_username": "clerie.uber.space",
                        "auth_password": bws.get("clerie.uber.space/clerie-backup/main-magenta/auth_password"),
                        "files": [
                            "/home/clerie",
                            "/var/www/virtual/clerie",
                        ],
                    },
                },
            },
            "cron": {
                "jobs": {
                    "backup_main-cyan": "42 */2 * * * clerie-backup main-cyan backup",
                    "backup_main-cyan_mysql": "52 */2 * * * clerie-backup main-cyan restic backup --stdin-filename mysql-databases.sql --stdin-from-command -- mysqldump --all-databases",
                    "backup_main-magenta": "13 */2 * * * clerie-backup main-magenta backup",
                    "backup_main-magenta_mysql": "23 */2 * * * clerie-backup main-magenta restic backup --stdin-filename mysql-databases.sql --stdin-from-command -- mysqldump --all-databases",
                },
            },
        },
    },
    "cleriewi.uber.space": {
        "bundles": (
            "uberspace-redirect-clerie",
        ),
    },
})
